Die Inventor FAQ wird unterstützt von:

Inventor FAQ Logo

23.08.2009

2D Zeichnungen von Inventor Teilen und Baugruppen als vernünftige AutoCAD Mechanical DWGs speichern

Dank der Möglichkeit, Inventor Modelle in ACADM und MDT abzuleiten, lässt sich über einen Trick relativ schnell eine ordentliche Mechanical DWG inkl. korrekter Objekte für Oberflächenzeichen, Bohrungstabellen, Passungslisten, Maße usw. erstellen.

Dafür sind folgenden Schritte notwendig:

Die gewünschte IPT/IAM in Inventor öffnen und prüfen ob sie sich problemlos öffnen lässt. Sollten Sie ohne Meldungen (nicht aufgelöste Referenzen) geöffnet werden können, noch prüfen, ob Baugruppenbearbeitungen enthalten sind. Wenn dies der Fall ist, funktioniert das Ableiten nicht, weil Baugruppenbearbeitungen von MDT nicht unterstützt werden.

clip_image001

Für unser Vorhaben eine neue MDT-Vorlage erstellen, in der definiert ist, dass verdeckte Kanten auf den Layer „AM_3″ mit der Farbe „Magenta” erstellt werden und nicht auf den Layer AM_HIDE den MDT sonst verwendet. Das kann unter Hilfsmittel > Optionen Register AM:Normen unter Layer eingestellt werden. Dasselbe gilt für die Bemaßungsobjekte, die auf AM_PARDIM und AM_REFDIM liegen und auf AM_5 müssen. (da ist ein wenig ACADM Knowkow notwendig, wie für alle Schritte hier. Wer noch nie was von „AM_5″ gehört hat, wird sich etwas schwer tun.)

clip_image003

Mechanical Desktop (nicht ACADM!) starten und unten rechts das gewünschte Inventorprojekt aktivieren.

clip_image004

Dann im Menü „Datei” eine neue Inventor Verknüpfung erstellen, die gewünschte DWT-Vorlage wählen und dann das Inventormodell.

clip_image006

Das Inventormodell wird in MDT eingelesen und im Modellbereich dargestellt.
Nun können im Layout Ansichten erstellt und die Zeichnungskommentierung durchgeführt werden. Eine Anleitung hierzu habe ich hier mal erstellt:http://blog.inventor-faq.de/wp-content/uploads/2007/07/inventor_in_acadm_ableiten.pdf.  Die Anleitung bezieht sich noch auf ACADM 2004 wo nur IPTs genutzt werden können, aber das Prinzip ist heute noch das selbe. WICHTIG: ALLE ANSICHTEN 1:1 erstellen. Unter Hilfsmittel > Optionen Register AM:Norm dann die folgende Maßstabsoption setzen und den gewünschten Maßstab einstellen der Zeichnung (hier 1:2).

clip_image008

Nun kann ein Zeichnungsrahmen platziert und die Zeichnung kommentiert werden. Der Rahmen und die maßstababhängigen Elemente wie Maße, Oberflächenzeichen usw. werden entsprechenden der Skalierung (=Maßstab), die wir im Bild oben vorgenommen haben, skaliert. (So, wie wenn ich im Modellbereich eine normale Mechancialzeichnung erstellen würden).

Wenn die Zeichnung fertig ist, dann brauchen wir die Geometrie der Modelle (Körper- und verdeckte Kanten) als „greifbare Objekte”. Dazu gehen wir in das Menü „Zeichung” und wählen „Ansicht exportieren” allerdings nicht in eine Datei sondern in ein neues Layout.

clip_image010

Jetzt haben wir ein zweites Layout, indem die gesamte Zeichnung aus Layout1 enthalten ist. Allerdings wurden die Mechanicalelemente alle in den Ursprung zerlegt. Um nun sowohl die Layoutkanten als auch den Rahmen und Mechanicalelemente zusammenzubekommen, wechseln wir ins Layout2 und holen mittels „Schnellauswahl” alle Elemente auf dem Layer AM_0 und AM_3 in einen Auswahlsatz, denn wir dann wieder in Layout1 einfügen und über die bestehenden Ansichten legen.
Diese ganze Prozedur kann mit dieser LISP-Routine automatisch erledigt werden

(defun laykop ()
(setvar "cmddia" 0)
(setvar "tilemode" 0)
(command "amviewout" "q" "l" "o" "j" "t" "j" "f" "j" "e" "l" "w" "lay_temp")
(command "layout" "se" "lay_temp")
(command "-layer" "SE" "0" "FR" "AM_0,AM_3,AM_8" "")
(command "löschen" "alle" "")
(command "-layer" "T" "AM_0,AM_3,AM_8" "")
;Richtigen Rahmennamen/Prefix eintragen
(ssget "X" '((2 . "din*")))
(command "löschen" "v" "")
;;Richtigen Schriftkopfblockname/Prefix eintragen
(ssget "X" '((2 . "SCHRIFTFELD*")))
(command "löschen" "v" "")
(command "_copybase" "0,0" "alle" "")
(command "layout" "se" "Layout1" "")
(command "_pasteclip" "0,0")
(command "layout" "löschen" "lay_temp")
);ENDE LSIP

Die Datei muss soweit angepasst werden, das der Zeichnungsrahmen und der Schriftkopf gelöscht wird. Das geschieht mittels der oben kommentierten Zeilen.

Nun wieder ins Layout1 wechseln und einen Block von allem erstellen mit Namen „x”.

Das sieht dann in ACAD z.B. so aus:

Befehl: -block
Blocknamen eingeben oder [?]: x
Einfügebasispunkt angeben: 0,0
Objekte wählen: alle
2387 gefunden
1183 befanden sich nicht im aktuellen Bereich.
1 war das Papierbereich-Ansichtsfenster.

Objekte wählen: [RETURN drücken]

Wenn der Block erstellt ist, diesen mittels WBLOCK raus schreiben und die Datei in ACADM öffnen und mittels Menü Ansicht > 3D-Ansichten > Draufsicht in die Draufsicht bringen. Alle Mechanicalelemente sind erhalten geblieben, d.h. ein Oberflächenzeichen ist ein Oberflächenzeichen usw. und die Kanten sind alle normal greifbar.

clip_image011

Keine Kommentare:

Kommentar veröffentlichen

War der Beitrag hilfreich oder hast du eine Ergänzung dazu?
Ist noch eine Frage offen?
Ich freue mich auf deine Rückmeldung!

Related Posts Plugin for WordPress, Blogger...
Inventor FAQ Newsletter. Emailadresse: